<template>
  <div>
    <div v-if="!this.showAnswers">
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Você sabe o que é planejamento estratégico?
                  </div>
                </template>
                <small>Questão 1</small><br />
                <span class="h5"
                  >Você sabe o que é planejamento estratégico?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question1"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Defina de forma sucinta o que é Planejamento Estratégico.
                  </div>
                </template>
                <small>Questão 2</small><br />
                <span class="h5"
                  >Defina de forma sucinta o que é Planejamento
                  Estratégico.</span
                >
              </a-tooltip>
              <hr />
              <textarea
                v-model="maturity.question2"
                class="form-control"
              ></textarea>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    A missão da sua organização já foi definida?
                  </div>
                </template>
                <small>Questão 3</small><br />
                <span class="h5"
                  >A missão da sua organização já foi definida?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question3"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    A visão da sua organização já foi definida?
                  </div>
                </template>
                <small>Questão 4</small><br />
                <span class="h5"
                  >A visão da sua organização já foi definida?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question4"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Os valores da sua organização já foi definida?
                  </div>
                </template>
                <small>Questão 5</small><br />
                <span class="h5"
                  >Os valores da sua organização já foi definida?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question5"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    A análise SWOT / FOFA já foi realizada?
                  </div>
                </template>
                <small>Questão 6</small><br />
                <span class="h5">A análise SWOT / FOFA já foi realizada?</span>
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question6"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Qual o período total que o seu Planejamento Estratégico
                    abrange?
                  </div>
                </template>
                <small>Questão 7</small><br />
                <span class="h5"
                  >Qual o período total que o seu Planejamento Estratégico
                  abrange?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question7"
                >
                  <a-radio-button value="Anual">Anual</a-radio-button>
                  <a-radio-button value="Bienal">Bienal</a-radio-button>
                  <a-radio-button value="Quadrienal">Quadrienal</a-radio-button>
                  <a-radio-button value="Outros">Outros</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Qual a periodicidade da revisão do seu planejamento
                    estratégico?
                  </div>
                </template>
                <small>Questão 8</small><br />
                <span class="h5"
                  >Qual a periodicidade da revisão do seu planejamento
                  estratégico?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question8"
                >
                  <a-radio-button value="Bimestral">Bimestral</a-radio-button>
                  <a-radio-button value="Quadrimestral"
                    >Quadrimestral</a-radio-button
                  >
                  <a-radio-button value="Semanal">Semanal</a-radio-button>
                  <a-radio-button value="Anual">Anual</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    O objetivo geral do seu planejamento estratégico já foi
                    definido?
                  </div>
                </template>
                <small>Questão 9</small><br />
                <span class="h5"
                  >O objetivo geral do seu planejamento estratégico já foi
                  definido?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question9"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Os objetivos específicos do seu planejamento estratégico já
                    foram definidos?
                  </div>
                </template>
                <small>Questão 10</small><br />
                <span class="h5"
                  >Os objetivos específicos do seu planejamento estratégico já
                  foram definidos?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question10"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    As metas dos seus objetivos já foram definidas?
                  </div>
                </template>
                <small>Questão 11</small><br />
                <span class="h5"
                  >As metas dos seus objetivos já foram definidas?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question11"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    As atividades / tarefas das suas metas já foram definidas?
                  </div>
                </template>
                <small>Questão 12</small><br />
                <span class="h5"
                  >As atividades / tarefas das suas metas já foram
                  definidas?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question12"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    O monitoramento das Metas é realizado?
                  </div>
                </template>
                <small>Questão 13</small><br />
                <span class="h5">O monitoramento das Metas é realizado?</span>
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question13"
                >
                  <a-radio-button value="Sim">Sim</a-radio-button>
                  <a-radio-button value="Não">Não</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Qual a frequência de monitoramento das metas do seu plano?
                  </div>
                </template>
                <small>Questão 14</small><br />
                <span class="h5"
                  >Qual a frequência de monitoramento das metas do seu
                  plano?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question14"
                >
                  <a-radio-button value="Semanal">Semanal</a-radio-button>
                  <a-radio-button value="Quinzenal">Quinzenal</a-radio-button>
                  <a-radio-button value="Mensal">Mensal</a-radio-button>
                  <a-radio-button value="Bimestral">Bimestral</a-radio-button>
                  <a-radio-button value="monitora">Não monitora</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Como é realizado o monitoramento das Metas?
                  </div>
                </template>
                <small>Questão 15</small><br />
                <span class="h5"
                  >Como é realizado o monitoramento das Metas?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question15"
                >
                  <a-radio-button value="Manual">Manual</a-radio-button>
                  <a-radio-button value="Ferramentas tecnológicas"
                    >Ferramentas tecnológicas</a-radio-button
                  >
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Quais ferramentas Tecnológicas são utilizadas no
                    monitoramento das Metas?
                  </div>
                </template>
                <small>Questão 16</small><br />
                <span class="h5">
                  Quais ferramentas Tecnológicas são utilizadas no monitoramento
                  das Metas?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question16"
                >
                  <a-radio-button value="Sim">MS Project</a-radio-button>
                  <a-radio-button value="Redmine">Redmine</a-radio-button>
                  <a-radio-button value="Excel">Excel</a-radio-button>
                  <a-radio-button value="ERP">ERP</a-radio-button>
                  <a-radio-button value="Outros">Outros</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    O monitoramento das atividades/tarefas das Metas é
                    realizado?
                  </div>
                </template>
                <small>Questão 17</small><br />
                <span class="h5">
                  O monitoramento das atividades/tarefas das Metas é
                  realizado?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question17"
                >
                  <a-radio-button value="Manual">Manual</a-radio-button>
                  <a-radio-button value="Ferramentas tecnológicas"
                    >Ferramentas tecnológicas</a-radio-button
                  >
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Qual a frequência de monitoramento das atividades / tarefas
                    previstas nas metas do seu plano?
                  </div>
                </template>
                <small>Questão 18</small><br />
                <span class="h5">
                  Qual a frequência de monitoramento das atividades / tarefas
                  previstas nas metas do seu plano?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question18"
                >
                  <a-radio-button value="Semanal">Semanal</a-radio-button>
                  <a-radio-button value="Quinzenal">Quinzenal</a-radio-button>
                  <a-radio-button value="Mensal">Mensal</a-radio-button>
                  <a-radio-button value="Bimestral">Bimestral</a-radio-button>
                  <a-radio-button value="Não monitora"
                    >Não monitora</a-radio-button
                  >
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Como é realizado o monitoramento das atividades/tarefas das
                    Metas?
                  </div>
                </template>
                <small>Questão 19</small><br />
                <span class="h5">
                  Como é realizado o monitoramento das atividades/tarefas das
                  Metas?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question19"
                >
                  <a-radio-button value="Manual">Manual</a-radio-button>
                  <a-radio-button value="Ferramentas tecnológicas"
                    >Ferramentas tecnológicas</a-radio-button
                  >
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Quais ferramentas Tecnológicas são utilizadas no
                    monitoramento das atividades/tarefas das Metas?
                  </div>
                </template>
                <small>Questão 20</small><br />
                <span class="h5">
                  Quais ferramentas Tecnológicas são utilizadas no monitoramento
                  das atividades/tarefas das Metas?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question20"
                >
                  <a-radio-button value="Sim">MS Project</a-radio-button>
                  <a-radio-button value="Redmine">Redmine</a-radio-button>
                  <a-radio-button value="Excel">Excel</a-radio-button>
                  <a-radio-button value="ERP">ERP</a-radio-button>
                  <a-radio-button value="Outros">Outros</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    Os indicadores/KPIs do seu planejamento estratégico para
                    foram definidos?
                  </div>
                </template>
                <small>Questão 21</small><br />
                <span class="h5">
                  Os indicadores/KPIs do seu planejamento estratégico para foram
                  definidos?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question21"
                >
                  <a-radio-button value="Metas">Metas</a-radio-button>
                  <a-radio-button value="Atividades/Tarefas"
                    >Atividades/Tarefas</a-radio-button
                  >
                  <a-radio-button value="Não há indicadores definidos"
                    >Não há indicadores definidos</a-radio-button
                  >
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">
                    O planejamento atingiu as suas metas e objetivos em que
                    medida?
                  </div>
                </template>
                <small>Questão 22</small><br />
                <span class="h5">
                  O planejamento atingiu as suas metas e objetivos em que
                  medida?</span
                >
              </a-tooltip>
              <hr />
              <div class="text-center">
                <a-radio-group
                  button-style="solid"
                  size="default"
                  v-model="maturity.question22"
                >
                  <a-radio-button value="0-25%">0-25%</a-radio-button>
                  <a-radio-button value="26-50%">26-50%</a-radio-button>
                  <a-radio-button value="51-75%">51-75%</a-radio-button>
                  <a-radio-button value="76-100%">76-100%</a-radio-button>
                </a-radio-group>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="mt-3 text-center">
        <a-button
          type="primary"
          size="default"
          :loading="loading"
          @click="final"
        >
          {{ this.loading ? "Computando respostas..." : "Finalizar" }}
        </a-button>
      </div>
    </div>

    <div v-else class="row">
      <div class="col">
        <h5>Respostas</h5>
        <hr />
        <div class="card border-0 shadow-sm mb-3">
          <div class="card-body">
            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 1</small>
                <h5 class="m-0">Você sabe o que é planejamento estratégico?</h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question1
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 2</small>
                <h5 class="m-0">
                  Defina de forma sucinta o que é Planejamento Estratégico.
                </h5>
                --
                <span class="font-italic">
                  {{ maturity.question2 }}
                </span>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 3</small>
                <h5 class="m-0">
                  A missão da sua organização já foi definida?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question3
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 4</small>
                <h5 class="m-0">A visão da sua organização já foi definida?</h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question4
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 5</small>
                <h5 class="m-0">
                  Os valores da sua organização já foi definida?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question5
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 6</small>
                <h5 class="m-0">
                  Os valores da sua organização já foi definida?A análise SWOT /
                  FOFA já foi realizada?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question6
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 7</small>
                <h5 class="m-0">
                  Qual o período total que o seu Planejamento Estratégico
                  abrange?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question7
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 8</small>
                <h5 class="m-0">
                  Qual a periodicidade da revisão do seu planejamento
                  estratégico?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question8
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 9</small>
                <h5 class="m-0">
                  O objetivo geral do seu planejamento estratégico já foi
                  definido?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question9
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 10</small>
                <h5 class="m-0">
                  Os objetivos específicos do seu planejamento estratégico já
                  foram definidos?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question10
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 11</small>
                <h5 class="m-0">
                  As metas dos seus objetivos já foram definidas?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question11
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 12</small>
                <h5 class="m-0">
                  As atividades / tarefas das suas metas já foram definidas?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question12
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 13</small>
                <h5 class="m-0">O monitoramento das Metas é realizado?</h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question13
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 14</small>
                <h5 class="m-0">
                  Qual a frequência de monitoramento das metas do seu plano?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question14
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 15</small>
                <h5 class="m-0">Como é realizado o monitoramento das Metas?</h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question15
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 16</small>
                <h5 class="m-0">
                  Quais ferramentas Tecnológicas são utilizadas no monitoramento
                  das Metas?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question16
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 17</small>
                <h5 class="m-0">
                  O monitoramento das atividades/tarefas das Metas é realizado?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question17
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 18</small>
                <h5 class="m-0">
                  Qual a frequência de monitoramento das atividades / tarefas
                  previstas nas metas do seu plano?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question18
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 19</small>
                <h5 class="m-0">
                  Como é realizado o monitoramento das atividades/tarefas das
                  Metas?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question19
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 20</small>
                <h5 class="m-0">
                  Quais ferramentas Tecnológicas são utilizadas no monitoramento
                  das atividades/tarefas das Metas?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question20
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 21</small>
                <h5 class="m-0">
                  Os indicadores/KPIs do seu planejamento estratégico para foram
                  definidos?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question21
                }}</a-button>
              </div>
            </div>

            <div class="row border-bottom pb-2">
              <div class="col">
                <small>Questão 22</small>
                <h5 class="m-0">
                  O planejamento atingiu as suas metas e objetivos em que medida
                  ?
                </h5>
                --
                <a-button type="primary" size="small" ghost>{{
                  maturity.question22
                }}</a-button>
              </div>
            </div>

            <div class="row">
              <div class="col">
                <div class="mt-4 mb-2 text-center">
                  <a-button
                    type="primary"
                    size="default"
                    :loading="loading"
                    @click="final"
                    >Alterar minhas respostas</a-button
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      loading: false,
      showAnswers: false,
      current: 0,
      maturity: {
        question1: "",
        question2: "",
        question3: "",
        question4: "",
        question5: "",
        question6: "",
        question7: "",
        question8: "",
        question9: "",
        question10: "",
        question11: "",
        question12: "",
        question13: "",
        question14: "",
        question15: "",
        question16: "",
        question17: "",
        question18: "",
        question19: "",
        question20: "",
        question21: "",
        question22: "",
      },
      steps: [
        {
          description: "Você sabe o que é planejamento estratégico?",
        },
        {
          description:
            "Defina de forma sucinta o que é Planejamento Estratégico.",
        },
        {
          description: "A missão da sua organização já foi definida?",
        },
        {
          description: "A visão da sua organização já foi definida?",
        },
        {
          description: "Os valores da sua organização já foi definida?",
        },
        {
          description: "A análise SWOT / FOFA já foi realizada?",
        },
        {
          description:
            "Qual o período total que o seu Planejamento Estratégico abrange?",
        },
        {
          description:
            "Qual a periodicidade da revisão do seu planejamento estratégico?",
        },
        {
          description:
            "O objetivo geral do seu planejamento estratégico já foi definido?",
        },
        {
          description:
            "Os objetivos específicos do seu planejamento estratégico já foram definidos?",
        },
        {
          description: "As metas dos seus objetivos já foram definidas?",
        },
        {
          description:
            "As atividades / tarefas das suas metas já foram definidas?",
        },
        {
          description: "O monitoramento das Metas é realizado?",
        },
        {
          description:
            "Qual a frequência de monitoramento das metas do seu plano?",
        },
        {
          description: "Como é realizado o monitoramento das Metas?",
        },
        {
          description:
            "Quais ferramentas Tecnológicas são utilizadas no monitoramento das Metas?",
        },
        {
          description:
            "O monitoramento das atividades/tarefas das Metas é realizado?",
        },
        {
          description:
            "Qual a frequência de monitoramento das atividades / tarefas previstas nas metas do seu plano?",
        },
        {
          description:
            "Como é realizado o monitoramento das atividades/tarefas das Metas?",
        },
        {
          description:
            "Quais ferramentas Tecnológicas são utilizadas no monitoramento das atividades/tarefas das Metas?",
        },
        {
          description:
            "Os indicadores/KPIs do seu planejamento estratégico para foram definidos?",
        },
        {
          description:
            "O planejamento atingiu as suas metas e objetivos em que medida ?",
        },
      ],
    };
  },
  methods: {
    next() {
      this.current++;
    },
    prev() {
      this.current--;
    },
    final() {
      this.loading = true;
      setTimeout(() => {
        this.loading = false;
        this.showAnswers = !this.showAnswers;
      }, 1000);
    },
  },
};
</script>
